{% extends 'base.html.twig' %}

{% block content %}
    <h1 class="text-center m-5">{{ title }}</h1>

    {% if result|length > 0 %}
        <div class="result text-center m-5">
            <table class="table table-bordered table-striped">
                <tr>
                    <th class="p-3 text-left">Number</th>
                    <th class="p-3 text-left">Source</th>
                    <th class="p-3 text-left">Time</th>
                    <th class="p-3 text-left">Message</th>
                </tr>
                {% for item in result %}
                    <tr>
                        <td class="p-3 text-left">{{ item.id }}</td>
                        <td class="p-3 text-left"><b>{{ item.source }}</b></td>
                        <td class="p-3 text-left">{{ item.time }}</td>
                        <td class="p-3 text-left">{{ item.message }}</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    {% else %}
        <div class="result text-center m-5">
            {{ empty_message }}
        </div>
    {% endif %}

    <div class="result text-center m-5">
        <a class="btn btn-primary" href="/" title="Back">Back</a>
    </div>

{% endblock %}